%global momorel 6

Name:           perl-File-Find-Rule-Perl
Version:        1.09
Release:        %{momorel}m%{?dist}
Summary:        Common rules for searching for Perl things
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-Find-Rule-Perl/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/File-Find-Rule-Perl-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.00503
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Find-Rule >= 0.20
BuildRequires:  perl-Params-Util >= 0.38
Requires:       perl-File-Find-Rule >= 0.20
Requires:       perl-Params-Util >= 0.38
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
I write a lot of things that muck with Perl files. And it always annoyed
me that finding "perl files" requires a moderately complex
File::Find::Rule pattern.

%prep
%setup -q -n File-Find-Rule-Perl-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/File/Find/Rule/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.09-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-4m)
- rebuild against perl-5.12.0

* Mon Jan 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.09-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Nov 04 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
